# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/buyesrfolio/transaction_file/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/buyesrfolio/transaction_file/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Buyesrfolio\\TransactionFile\\": "packages/buyesrfolio/transaction_file/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Buyesrfolio\TransactionFile\Providers\TransactionFileServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'TransactionFile'  => Buyesrfolio\TransactionFile\Facades\TransactionFile::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Buyesrfolio\\TransactionFileTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Buyesrfolio\TransactionFile\Providers\TransactionFileServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Buyesrfolio\TransactionFile\Providers\TransactionFileServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Buyesrfolio\TransactionFile\Providers\TransactionFileServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/transaction_file/{modulename}

**User**

    http://path-to-route-folder/user/transaction_file/{modulename}

**Public**

    http://path-to-route-folder/transaction_files


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/transaction_file/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/transaction_file/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/transaction_file/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/transaction_file/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/transaction_file/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/transaction_file/{modulename}/{slug}
    METHOD: GET