Lavalite package that provides transaction_file management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `buyesrfolio/transaction_file`.

    "buyesrfolio/transaction_file": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Buyesrfolio\TransactionFile\Providers\TransactionFileServiceProvider::class,

And also add it to alias

    'TransactionFile'  => Buyesrfolio\TransactionFile\Facades\TransactionFile::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Buyesrfolio\\TransactionFileTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Buyesrfolio\TransactionFile\Providers\TransactionFileServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Buyesrfolio\TransactionFile\Providers\TransactionFileServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Buyesrfolio\TransactionFile\Providers\TransactionFileServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/transaction_file/{modulename}

**User**

    http://path-to-route-folder/user/transaction_file/{modulename}

**Public**

    http://path-to-route-folder/transaction_files


### API endpoints

**List**

    http://path-to-route-folder/api/user/transaction_file/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/transaction_file/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/transaction_file/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/transaction_file/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/transaction_file/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/transaction_file/{modulename}/{slug}
    METHOD: GET